;--------------------------------------------------------
; File Created by SLCC : free open source ANSI-C Compiler
; Version 3.6.0 #Jan 18 2022 (MSVC)
;--------------------------------------------------------
; SL port for the RISC core
;--------------------------------------------------------
;	.file	"C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C"
	list	p=XC8P8508
	radix dec
	include "XC8P8508.inc"
;--------------------------------------------------------
; external declarations
;--------------------------------------------------------
	extern	_IARbits
	extern	_TCCbits
	extern	_PCLbits
	extern	_STATUSbits
	extern	_RSRbits
	extern	_PORT5bits
	extern	_PORT6bits
	extern	_PORT7bits
	extern	_LVDCONbits
	extern	_P5ICECRbits
	extern	_P6ICECRbits
	extern	_CPUCONbits
	extern	_ISRbits
	extern	_PWM0CONbits
	extern	_PWM1CONbits
	extern	_PWM2CONbits
	extern	_PWM3CONbits
	extern	_PWM4CONbits
	extern	_P5HDCRbits
	extern	_P5HSCRbits
	extern	_P6HDCRbits
	extern	_P6HSCRbits
	extern	_P5WDCRbits
	extern	_P5WSCRbits
	extern	_DEADCONbits
	extern	_DEADTRbits
	extern	_IAR
	extern	_TCC
	extern	_PCL
	extern	_STATUS
	extern	_RSR
	extern	_PORT5
	extern	_PORT6
	extern	_PORT7
	extern	_LVDCON
	extern	_P5ICECR
	extern	_P6ICECR
	extern	_CPUCON
	extern	_ISR
	extern	_PWM0CON
	extern	_PWM1CON
	extern	_PWM2CON
	extern	_PWM3CON
	extern	_PWM4CON
	extern	_P5HDCR
	extern	_P5HSCR
	extern	_P6HDCR
	extern	_P6HSCR
	extern	_P5WDCR
	extern	_P5WSCR
	extern	_DEADCON
	extern	_DEADTR
;--------------------------------------------------------
; global declarations
;--------------------------------------------------------
	global	_delayMs
	global	_delayUs
	global	_file_clrRam
	global	_file_init
	global	_file_project_init
	global	_int_isr
	global	_file_WDTTime
	global	_file_WDTWake_slep
	global	_main
	global	_A_BUFF
	global	_R3_BUFF
	global	_reg_sleep_cnt

	global STK11
	global STK10
	global STK09
	global STK08
	global STK07
	global STK06
	global STK05
	global STK04
	global STK03
	global STK02
	global STK01
	global STK00

sharebank udata_ovr 0x0020
STK11	res 1
STK10	res 1
STK09	res 1
STK08	res 1
STK07	res 1
STK06	res 1
STK05	res 1
STK04	res 1
STK03	res 1
STK02	res 1
STK01	res 1
STK00	res 1

;--------------------------------------------------------
; global definitions
;--------------------------------------------------------
UD_XC8P8508_WDT_0	udata
_reg_sleep_cnt	res	1

;--------------------------------------------------------
; absolute symbol definitions
;--------------------------------------------------------
UD_abs_XC8P8508_WDT_10	udata_ovr	0x0010
_A_BUFF
	res	1
UD_abs_XC8P8508_WDT_11	udata_ovr	0x0011
_R3_BUFF
	res	1
;--------------------------------------------------------
; compiler-defined variables
;--------------------------------------------------------
UDL_XC8P8508_WDT_0	udata
r0x1001	res	1
r0x1002	res	1
r0x1005	res	1
r0x1006	res	1
r0x1007	res	1
r0x1003	res	1
;--------------------------------------------------------
; initialized data
;--------------------------------------------------------

;@Allocation info for local variables in function 'file_clrRam'
;@file_clrRam delayUs                   Allocated to registers ;size:2
;@file_clrRam delayMs                   Allocated to registers ;size:2
;@file_clrRam file_clrRam               Allocated to registers ;size:2
;@file_clrRam IARbits                   Allocated to registers ;size:1
;@file_clrRam TCCbits                   Allocated to registers ;size:1
;@file_clrRam PCLbits                   Allocated to registers ;size:1
;@file_clrRam STATUSbits                Allocated to registers ;size:1
;@file_clrRam RSRbits                   Allocated to registers ;size:1
;@file_clrRam PORT5bits                 Allocated to registers ;size:1
;@file_clrRam PORT6bits                 Allocated to registers ;size:1
;@file_clrRam PORT7bits                 Allocated to registers ;size:1
;@file_clrRam LVDCONbits                Allocated to registers ;size:1
;@file_clrRam P5ICECRbits               Allocated to registers ;size:1
;@file_clrRam P6ICECRbits               Allocated to registers ;size:1
;@file_clrRam CPUCONbits                Allocated to registers ;size:1
;@file_clrRam ISRbits                   Allocated to registers ;size:1
;@file_clrRam PWM0CONbits               Allocated to registers ;size:1
;@file_clrRam PWM1CONbits               Allocated to registers ;size:1
;@file_clrRam PWM2CONbits               Allocated to registers ;size:1
;@file_clrRam PWM3CONbits               Allocated to registers ;size:1
;@file_clrRam PWM4CONbits               Allocated to registers ;size:1
;@file_clrRam P5HDCRbits                Allocated to registers ;size:1
;@file_clrRam P5HSCRbits                Allocated to registers ;size:1
;@file_clrRam P6HDCRbits                Allocated to registers ;size:1
;@file_clrRam P6HSCRbits                Allocated to registers ;size:1
;@file_clrRam P5WDCRbits                Allocated to registers ;size:1
;@file_clrRam P5WSCRbits                Allocated to registers ;size:1
;@file_clrRam DEADCONbits               Allocated to registers ;size:1
;@file_clrRam DEADTRbits                Allocated to registers ;size:1
;@file_clrRam A_BUFF                    Allocated to registers ;size:1
;@file_clrRam R3_BUFF                   Allocated to registers ;size:1
;@file_clrRam reg_sleep_cnt             Allocated to registers ;size:1
;@file_clrRam IAR                       Allocated to registers ;size:1
;@file_clrRam TCC                       Allocated to registers ;size:1
;@file_clrRam PCL                       Allocated to registers ;size:1
;@file_clrRam STATUS                    Allocated to registers ;size:1
;@file_clrRam RSR                       Allocated to registers ;size:1
;@file_clrRam PORT5                     Allocated to registers ;size:1
;@file_clrRam PORT6                     Allocated to registers ;size:1
;@file_clrRam PORT7                     Allocated to registers ;size:1
;@file_clrRam LVDCON                    Allocated to registers ;size:1
;@file_clrRam P5ICECR                   Allocated to registers ;size:1
;@file_clrRam P6ICECR                   Allocated to registers ;size:1
;@file_clrRam CPUCON                    Allocated to registers ;size:1
;@file_clrRam ISR                       Allocated to registers ;size:1
;@file_clrRam PWM0CON                   Allocated to registers ;size:1
;@file_clrRam PWM1CON                   Allocated to registers ;size:1
;@file_clrRam PWM2CON                   Allocated to registers ;size:1
;@file_clrRam PWM3CON                   Allocated to registers ;size:1
;@file_clrRam PWM4CON                   Allocated to registers ;size:1
;@file_clrRam P5HDCR                    Allocated to registers ;size:1
;@file_clrRam P5HSCR                    Allocated to registers ;size:1
;@file_clrRam P6HDCR                    Allocated to registers ;size:1
;@file_clrRam P6HSCR                    Allocated to registers ;size:1
;@file_clrRam P5WDCR                    Allocated to registers ;size:1
;@file_clrRam P5WSCR                    Allocated to registers ;size:1
;@file_clrRam DEADCON                   Allocated to registers ;size:1
;@file_clrRam DEADTR                    Allocated to registers ;size:1
;@end Allocation info for local variables in function 'file_clrRam';
;@Allocation info for local variables in function 'delayUs'
;@delayUs Time                      Allocated to registers r0x1001 ;size:1
;@delayUs a                         Allocated to registers r0x1002 ;size:1
;@end Allocation info for local variables in function 'delayUs';
;@Allocation info for local variables in function 'delayMs'
;@delayMs Time                      Allocated to registers r0x1005 ;size:1
;@delayMs a                         Allocated to registers r0x1006 ;size:1
;@delayMs b                         Allocated to registers r0x1007 ;size:1
;@end Allocation info for local variables in function 'delayMs';

;--------------------------------------------------------
; overlayable items in internal ram 
;--------------------------------------------------------
;	udata_ovr
;--------------------------------------------------------
; reset vector 
;--------------------------------------------------------
STARTUP	code 0x0000
	jmp	_main
;--------------------------------------------------------
; interrupt and initialization code
;--------------------------------------------------------
c_interrupt	code	0x0003
__sdcc_interrupt:
;***
;  pBlock Stats: dbName = I
;***
;; Starting pCode block
_int_isr:	;Function start
; 0 exit points
;	.line	70; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	__asm__("org 0x08");			//жڵַ			
	org	0x08
;	.line	71; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	PUSH(_A_BUFF,_R3_BUFF);			//жջ
	mov	_A_BUFF,a
	swap	_A_BUFF
	swapa	STATUS
	mov	_R3_BUFF,a
;	.line	73; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	if(TCIF)					//жTCIFǷΪ1
	JBTS	_ISRbits,0
	JMP	_00121_DS_
;	.line	75; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	TCC	  += 0x06;				//1/2 * 8 * (256-6) = 1000us	ʽ1/IRCƵ * ԤƵ * 256-ֵ
	MOV	A,@0x06
	ADD	_TCC,A
;	.line	76; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	ISR    = 0xfe;				//TC0жϱ־λ
	MOV	A,@0xfe
	MOV	_ISR,A
;	.line	77; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	PORT6^= 0X01;		//P61ڷת
	MOV	A,@0x01
	XOR	_PORT6,A
_00121_DS_:
;	.line	80; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	POP(_A_BUFF,_R3_BUFF);			//жϳջָ
	swapa	_R3_BUFF
	mov	STATUS,a
	swapa	_A_BUFF
;	.line	81; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	}
END_OF_INTERRUPT:
	RETI	

;--------------------------------------------------------
; code
;--------------------------------------------------------
code_XC8P8508_WDT	code
;***
;  pBlock Stats: dbName = M
;***
;has an exit
;functions called:
;   _file_clrRam
;   _file_init
;   _file_project_init
;   _file_WDTTime
;   _file_WDTWake_slep
;   _file_clrRam
;   _file_init
;   _file_project_init
;   _file_WDTTime
;   _file_WDTWake_slep
;2 compiler assigned registers:
;   r0x1003
;   r0x1004
;; Starting pCode block
S_XC8P8508_WDT__main	code
_main:	;Function start
; 2 exit points
;	.line	147; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	if(T==1)
	CLR	r0x1003
	JBTC	_STATUSbits,4
	INC	r0x1003
;;101	MOV	A,r0x1003
;;99	MOV	r0x1004,A
;;100	MOV	A,r0x1004
	MOV	A,r0x1003
	XOR	A,@0x01
	JBTS	STATUS,2
	JMP	_00159_DS_
;	.line	149; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	file_clrRam();				//ϵ縴λ֮WDTλ
	CALL	_file_clrRam
_00159_DS_:
;	.line	151; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	file_init();					//ioĴʼ
	CALL	_file_init
;	.line	152; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	file_project_init();			//蹦
	CALL	_file_project_init
;	.line	153; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	EI();							//ж
	ei	
_00161_DS_:
;	.line	157; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	file_WDTTime();				//WDTʱ
	CALL	_file_WDTTime
;	.line	158; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	file_WDTWake_slep();		//WDT˯
	CALL	_file_WDTWake_slep
;	.line	159; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	NOP();
	nop	
;	.line	160; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	NOP();
	nop	
;	.line	161; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	NOP();
	nop	
	JMP	_00161_DS_
;	.line	163; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	}
	RET	
; exit point of _main

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;functions called:
;   _delayUs
;   _delayUs
;3 compiler assigned registers:
;   r0x1005
;   r0x1006
;   r0x1007
;; Starting pCode block
S_XC8P8508_WDT__delayMs	code
_delayMs:	;Function start
; 2 exit points
;	.line	131; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	void delayMs(unsigned char Time)
	MOV	r0x1005,A
;	.line	134; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	for(a=0;a<Time;a++)
	CLR	r0x1006
_00151_DS_:
	MOV	A,r0x1005
	SUB	A,r0x1006
	JBTC	STATUS,0
	JMP	_00153_DS_
;	.line	136; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	for(b=0;b<5;b++)
	CLR	r0x1007
_00148_DS_:
;	.line	138; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	delayUs(80); //1%
	MOV	A,@0x50
	CALL	_delayUs
;	.line	136; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	for(b=0;b<5;b++)
	INC	r0x1007
	MOV	A,@0x05
	SUB	A,r0x1007
	JBTS	STATUS,0
	JMP	_00148_DS_
;	.line	134; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	for(a=0;a<Time;a++)
	INC	r0x1006
	JMP	_00151_DS_
;	.line	141; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	}
_00153_DS_:
	RET	
; exit point of _delayMs

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;2 compiler assigned registers:
;   r0x1001
;   r0x1002
;; Starting pCode block
S_XC8P8508_WDT__delayUs	code
_delayUs:	;Function start
; 2 exit points
;	.line	117; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	void delayUs(unsigned char Time)
	MOV	r0x1001,A
;	.line	120; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	for(a=0;a<Time;a++)
	CLR	r0x1002
_00139_DS_:
	MOV	A,r0x1001
	SUB	A,r0x1002
	JBTC	STATUS,0
	JMP	_00141_DS_
;	.line	122; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	NOP();
	nop	
;	.line	120; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	for(a=0;a<Time;a++)
	INC	r0x1002
	JMP	_00139_DS_
;	.line	124; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	}
_00141_DS_:
	RET	
; exit point of _delayUs

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P8508_WDT__file_WDTWake_slep	code
_file_WDTWake_slep:	;Function start
; 2 exit points
;	.line	100; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	IOCP_W(IMR,0x00);
	mov	a,@0x00
	iw	IMR
;	.line	101; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	ISR=0;
	CLR	_ISR
;	.line	102; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	CWDT();
	CWDT	
;	.line	103; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	CONTW(0x09);			//ԤƵָwdt,2Ƶ 
	mov	a,@0x09
	ctw
;	.line	104; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	IOCP_W(WDTCR,0x80);
	mov	a,@0x80
	iw	WDTCR
;	.line	105; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	DI();
	di	
;	.line	106; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	NOP();
	nop	
;	.line	107; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	SLEEP();
	sleep	
;	.line	108; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	NOP();
	nop	
;	.line	109; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	NOP();
	nop	
;	.line	110; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	}
	RET	
; exit point of _file_WDTWake_slep

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;functions called:
;   _delayUs
;   _delayUs
;; Starting pCode block
S_XC8P8508_WDT__file_WDTTime	code
_file_WDTTime:	;Function start
; 2 exit points
;	.line	87; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	if(++reg_sleep_cnt>=10) // 
	INC	_reg_sleep_cnt
	MOV	A,@0x0a
	SUB	A,_reg_sleep_cnt
	JBTS	STATUS,0
	JMP	_00128_DS_
;	.line	89; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	reg_sleep_cnt=0;
	CLR	_reg_sleep_cnt
;	.line	90; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	io_led2Out =1;
	BTS	_PORT6bits,5
;	.line	91; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	delayUs(80);		//323us
	MOV	A,@0x50
	CALL	_delayUs
;	.line	92; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	io_led2Out =0;
	BTC	_PORT6bits,5
;	.line	94; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	}
_00128_DS_:
	RET	
; exit point of _file_WDTTime

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P8508_WDT__file_project_init	code
_file_project_init:	;Function start
; 2 exit points
;	.line	64; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	}
;	.line	64; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	}
	RET	
; exit point of _file_project_init

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P8508_WDT__file_init	code
_file_init:	;Function start
; 2 exit points
;	.line	40; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	CONTW(0x02);			//TCC 8Ƶ
	mov	a,@0x02
	ctw
;	.line	41; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	TCC = 6;			//1/2 * 8 * (256-6) = 1000us	ʽ1/IRCƵ * ԤƵ * 256-ֵ
	MOV	A,@0x06
	MOV	_TCC,A
;	.line	42; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	PORT5 = 0;				//P5
	CLR	_PORT5
;	.line	43; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	PORT6 = 0;				//P6
	CLR	_PORT6
;	.line	44; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	PORT7 = 0;				//P7
	CLR	_PORT7
;	.line	45; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	IOCP_W(P5CR,0x08);		//P5Ϊ
	mov	a,@0x08
	iw	P5CR
;	.line	46; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	IOCP_W(P6CR,0x08);		//P6Ϊ
	mov	a,@0x08
	iw	P6CR
;	.line	47; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	IOCP_W(P7CR,0x00);		//P7Ϊ
	mov	a,@0x00
	iw	P7CR
;	.line	49; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	IOCP_W(PHDCR0,0xff);	//Bit5-bit4:P71-P70 λ Bit1-bit0:P71-P70λ	
	mov	a,@0xff
	iw	PHDCR0
;	.line	50; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	IOCP_W(PHDCR1,0xf7);	//˿ƼĴ1:0ʹ,1ֹ bit7-bit4:P67-P64;bit3-bit0:P53-P50
	mov	a,@0xf7
	iw	PHDCR1
;	.line	51; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	IOCP_W(PHDCR2,0xff);	//˿ƼĴ2:0ʹ,1ֹ bit6-bit4:P56-P54;bit3-bit0:P57-P54
	mov	a,@0xff
	iw	PHDCR2
;	.line	52; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	IOCP_W(PDCR,0xff);		//˿ƼĴ   :0ʹ,1ֹ bit7-bit4:P63-P60,bit3-bit0:P53-P50
	mov	a,@0xff
	iw	PDCR
;	.line	53; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	IOCP_W(P6ODCR,0x00);
	mov	a,@0x00
	iw	P6ODCR
;	.line	54; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	IOCP_W(P6PHCR,0xf7);	//P6˿ƼĴ :0ʹ,1ֹ bit7-bit0:P67-P60
	mov	a,@0xf7
	iw	P6PHCR
;	.line	55; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	IOCP_W(WDTCR,0x00);		//WDT ʹܿƼĴ
	mov	a,@0x00
	iw	WDTCR
;	.line	56; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	IOCP_W(IMR,0x01);		//жʹܿƼĴ 
	mov	a,@0x01
	iw	IMR
;	.line	57; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	ISR = 0x0;				//TC0жϱ־λ 
	CLR	_ISR
;	.line	58; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	}
	RET	
; exit point of _file_init

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P8508_WDT__file_clrRam	code
_file_clrRam:	;Function start
; 2 exit points
;	.line	30; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	for(RSR=0x90;RSR<0xFF;RSR++)	// BANK0 RAM  IAR-R0,RSR-R4
	MOV	A,@0x90
	MOV	_RSR,A
_00107_DS_:
	MOV	A,@0xff
	SUB	A,_RSR
	JBTC	STATUS,0
	JMP	_00105_DS_
;	.line	32; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	{IAR = 0;}
	CLR	_IAR
;	.line	30; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	for(RSR=0x90;RSR<0xFF;RSR++)	// BANK0 RAM  IAR-R0,RSR-R4
	INC	_RSR
	JMP	_00107_DS_
_00105_DS_:
;	.line	33; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	IAR = 0;
	CLR	_IAR
;	.line	34; C:\USERS\ADMINISTRATOR\DESKTOP\XC8P8508_DEMO_V1.1\XC8P8508_DEMO_C\4_XC8P8508_WDT\XC8P8508-WDT.C	}
	RET	
; exit point of _file_clrRam


;	code size estimation:
;	   81+    0 =    81 instructions (  162 byte)

	end
